Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.launcher
Class ChildMain

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.commons.launcher.ChildMain

All Implemented Interfaces:
  java.lang.Runnable

public class ChildMain
extends java.lang.Thread

A wrapper class that invokes another class' `main(String[])`. This particular class uses several system properties to control features:

- Redirecting System.out and System.err.
- Displaying a minimized window in the Windows taskbar.

This class is normally not invoked directly. Instead, it is invoked by the `LaunchTask` class.

Author:
  Patrick Luby

Field Summary
`static java.lang.String` | `APPEND_OUTPUT_PROP_NAME` The appendOutput system property name.
`static java.lang.String` | `DISPLAY_MINIMIZED_WINDOW_PROP_NAME` The displayMiminizedWindow system property name.
`static java.lang.String` | `DISPOSE_MINIMIZED_WINDOW_PROP_NAME` The disposeMiminizedWindow system property name.
`static java.lang.String` | `EXECUTABLE_PROP_NAME` The executableName system property name.
`static java.lang.String` | `HEARTBEAT_FILE_PROP_NAME` The heartbeatFile system property name.
`static java.lang.String` | `MINIMIZED_WINDOW_ICON_PROP_NAME` The miminizedWindowIcon system property name.
`static java.lang.String` | `MINIMIZED_WINDOW_TITLE_PROP_NAME` The miminizedWindowTitle system property name.
`static java.lang.String` | `OUTPUT_FILE_PROP_NAME` The outputFile system property name.
`static java.lang.String` | `WAIT_FOR_CHILD_PROP_NAME` The waitForChild system property name.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`static void` | `main(java.lang.String[] args)` Main entry point for the child process.
`void` | `run()` Invoke the target application.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPEND_OUTPUT_PROP_NAME

    public static final java.lang.String APPEND_OUTPUT_PROP_NAME

  The appendOutput system property name.

  See Also:
    Constant Field Values

### DISPLAY_MINIMIZED_WINDOW_PROP_NAME

    public static final java.lang.String DISPLAY_MINIMIZED_WINDOW_PROP_NAME

  The displayMiminizedWindow system property name.

  See Also:
    Constant Field Values

### DISPOSE_MINIMIZED_WINDOW_PROP_NAME

    public static final java.lang.String DISPOSE_MINIMIZED_WINDOW_PROP_NAME

  The disposeMiminizedWindow system property name.

  See Also:
    Constant Field Values

### EXECUTABLE_PROP_NAME

    public static final java.lang.String EXECUTABLE_PROP_NAME

  The executableName system property name.

  See Also:
    Constant Field Values

### HEARTBEAT_FILE_PROP_NAME

    public static final java.lang.String HEARTBEAT_FILE_PROP_NAME

  The heartbeatFile system property name.

  See Also:
    Constant Field Values

### MINIMIZED_WINDOW_TITLE_PROP_NAME

    public static final java.lang.String MINIMIZED_WINDOW_TITLE_PROP_NAME

  The miminizedWindowTitle system property name.

  See Also:
    Constant Field Values

### MINIMIZED_WINDOW_ICON_PROP_NAME

    public static final java.lang.String MINIMIZED_WINDOW_ICON_PROP_NAME

  The miminizedWindowIcon system property name.

  See Also:
    Constant Field Values

### OUTPUT_FILE_PROP_NAME

    public static final java.lang.String OUTPUT_FILE_PROP_NAME

  The outputFile system property name.

  See Also:
    Constant Field Values

### WAIT_FOR_CHILD_PROP_NAME

    public static final java.lang.String WAIT_FOR_CHILD_PROP_NAME

  The waitForChild system property name.

  See Also:
    Constant Field Values

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main entry point for the child process. This method should only be invoked by the `LaunchTask` class.

  Parameters:
    `args` - command line arguments

### run

    public void run()

  Invoke the target application.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2002 - Apache Software Foundation